Package com.complexible.stardog

# Enum Class QueryInfo.Status

java.lang.Object
java.lang.Enum<QueryInfo.Status>
com.complexible.stardog.QueryInfo.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryInfo.Status>`, `Constable`

Enclosing interface:
  `QueryInfo`

public static enum QueryInfo.Status extends Enum<QueryInfo.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FINISHED`
  `KILLED`
  `NOT_STARTED`
  `PRE_EXEC`
  `RUNNING`
  `TIMEDOUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract com.complexible.stardog.process.ProcessInfo.Status`
  `toProcessStatus()`
  `static QueryInfo.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueryInfo.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_STARTED

    public static final QueryInfo.Status NOT_STARTED

  - ### PRE_EXEC

    public static final QueryInfo.Status PRE_EXEC

  - ### RUNNING

    public static final QueryInfo.Status RUNNING

  - ### TIMEDOUT

    public static final QueryInfo.Status TIMEDOUT

  - ### KILLED

    public static final QueryInfo.Status KILLED

  - ### FINISHED

    public static final QueryInfo.Status FINISHED

- ## Method Details

  - ### values

    public static QueryInfo.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QueryInfo.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toProcessStatus

    public abstract com.complexible.stardog.process.ProcessInfo.Status toProcessStatus()